// SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
// SPDX-License-Identifier: BSD-3-Clause
import 'package:flutter/material.dart';
import 'package:flutter_example_packages/base/di/app_di.dart';
import 'package:flutter_example_packages/base/package/package.dart';
import 'package:flutter_example_packages/packages/embedder_texture/model.dart';
import 'package:flutter_example_packages/packages/embedder_texture/package.dart';
import 'package:flutter_example_packages/widgets/base/export.dart';
import 'package:flutter_example_packages/widgets/blocks/block_alert.dart';
import 'package:flutter_example_packages/widgets/blocks/block_info_package.dart';
import 'package:flutter_example_packages/widgets/blocks/block_item.dart';
import 'package:flutter_example_packages/widgets/layouts/block_layout.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';
import 'package:embedder_texture/embedder_texture.dart';

class EmbedderTexturePage extends AppStatefulWidget {
  EmbedderTexturePage({
    super.key,
  });

  final Package package = packageEmbedderTexture;

  @override
  State<EmbedderTexturePage> createState() => _EmbedderTexturePageState();
}

class _EmbedderTexturePageState extends AppState<EmbedderTexturePage> {
  @override
  Widget buildWide(
    BuildContext context,
    MediaQueryData media,
    AppLocalizations l10n,
  ) {
    final width = MediaQuery.of(context).size.width;
    final height = MediaQuery.of(context).size.height;

    return BlockLayout<EmbedderTextureModel>(
      model: getIt<EmbedderTextureModel>(),
      title: widget.package.key,
      builder: (context, child, model) {
        return Padding(
          padding: const EdgeInsets.all(20),
          child: Center(
            child: EmbedderTexture(
              width: width,
              height: height,
            ),
          ),
        );
      },
    );
  }
}
